<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Catch::SimplePcg32 Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceCatch.html">Catch</a></li><li class="navelem"><a class="el" href="classCatch_1_1SimplePcg32.html">SimplePcg32</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pri-types">Private Types</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="#pri-static-attribs">Static Private Attributes</a> &#124;
<a href="#friends">Friends</a> &#124;
<a href="classCatch_1_1SimplePcg32-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Catch::SimplePcg32 Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a220ca38f6d16804c6e99937a673ec3ff"><td class="memItemLeft" align="right" valign="top">using&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1SimplePcg32.html#a220ca38f6d16804c6e99937a673ec3ff">result_type</a> = std::uint32_t</td></tr>
<tr class="separator:a220ca38f6d16804c6e99937a673ec3ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a220ca38f6d16804c6e99937a673ec3ff"><td class="memItemLeft" align="right" valign="top">using&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1SimplePcg32.html#a220ca38f6d16804c6e99937a673ec3ff">result_type</a> = std::uint32_t</td></tr>
<tr class="separator:a220ca38f6d16804c6e99937a673ec3ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a045c99a96f9b0faf384e22f871576282"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1SimplePcg32.html#a045c99a96f9b0faf384e22f871576282">SimplePcg32</a> ()</td></tr>
<tr class="separator:a045c99a96f9b0faf384e22f871576282"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a901fc48d250c3d92b1ec067bcc6155c1"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1SimplePcg32.html#a901fc48d250c3d92b1ec067bcc6155c1">SimplePcg32</a> (<a class="el" href="classCatch_1_1SimplePcg32.html#a220ca38f6d16804c6e99937a673ec3ff">result_type</a> seed_)</td></tr>
<tr class="separator:a901fc48d250c3d92b1ec067bcc6155c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a215dac93c384973353a2b4f87f68c8bc"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1SimplePcg32.html#a215dac93c384973353a2b4f87f68c8bc">seed</a> (<a class="el" href="classCatch_1_1SimplePcg32.html#a220ca38f6d16804c6e99937a673ec3ff">result_type</a> seed_)</td></tr>
<tr class="separator:a215dac93c384973353a2b4f87f68c8bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a877e7a9c14d378af729ad19a0e959178"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1SimplePcg32.html#a877e7a9c14d378af729ad19a0e959178">discard</a> (uint64_t skip)</td></tr>
<tr class="separator:a877e7a9c14d378af729ad19a0e959178"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acda21743a5ac46fdff9a0b4a6d45a91f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classCatch_1_1SimplePcg32.html#a220ca38f6d16804c6e99937a673ec3ff">result_type</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1SimplePcg32.html#acda21743a5ac46fdff9a0b4a6d45a91f">operator()</a> ()</td></tr>
<tr class="separator:acda21743a5ac46fdff9a0b4a6d45a91f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a045c99a96f9b0faf384e22f871576282"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1SimplePcg32.html#a045c99a96f9b0faf384e22f871576282">SimplePcg32</a> ()</td></tr>
<tr class="separator:a045c99a96f9b0faf384e22f871576282"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a901fc48d250c3d92b1ec067bcc6155c1"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1SimplePcg32.html#a901fc48d250c3d92b1ec067bcc6155c1">SimplePcg32</a> (<a class="el" href="classCatch_1_1SimplePcg32.html#a220ca38f6d16804c6e99937a673ec3ff">result_type</a> seed_)</td></tr>
<tr class="separator:a901fc48d250c3d92b1ec067bcc6155c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a215dac93c384973353a2b4f87f68c8bc"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1SimplePcg32.html#a215dac93c384973353a2b4f87f68c8bc">seed</a> (<a class="el" href="classCatch_1_1SimplePcg32.html#a220ca38f6d16804c6e99937a673ec3ff">result_type</a> seed_)</td></tr>
<tr class="separator:a215dac93c384973353a2b4f87f68c8bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a877e7a9c14d378af729ad19a0e959178"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1SimplePcg32.html#a877e7a9c14d378af729ad19a0e959178">discard</a> (uint64_t skip)</td></tr>
<tr class="separator:a877e7a9c14d378af729ad19a0e959178"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acda21743a5ac46fdff9a0b4a6d45a91f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classCatch_1_1SimplePcg32.html#a220ca38f6d16804c6e99937a673ec3ff">result_type</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1SimplePcg32.html#acda21743a5ac46fdff9a0b4a6d45a91f">operator()</a> ()</td></tr>
<tr class="separator:acda21743a5ac46fdff9a0b4a6d45a91f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a388575137fa70bb32a367a5ad59f2a46"><td class="memItemLeft" align="right" valign="top">static constexpr <a class="el" href="classCatch_1_1SimplePcg32.html#a220ca38f6d16804c6e99937a673ec3ff">result_type</a>()&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1SimplePcg32.html#a388575137fa70bb32a367a5ad59f2a46">min</a> ()</td></tr>
<tr class="separator:a388575137fa70bb32a367a5ad59f2a46"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a282cfed1bcba2ae23f242913489195af"><td class="memItemLeft" align="right" valign="top">static constexpr <a class="el" href="classCatch_1_1SimplePcg32.html#a220ca38f6d16804c6e99937a673ec3ff">result_type</a>()&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1SimplePcg32.html#a282cfed1bcba2ae23f242913489195af">max</a> ()</td></tr>
<tr class="separator:a282cfed1bcba2ae23f242913489195af"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a388575137fa70bb32a367a5ad59f2a46"><td class="memItemLeft" align="right" valign="top">static constexpr <a class="el" href="classCatch_1_1SimplePcg32.html#a220ca38f6d16804c6e99937a673ec3ff">result_type</a>()&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1SimplePcg32.html#a388575137fa70bb32a367a5ad59f2a46">min</a> ()</td></tr>
<tr class="separator:a388575137fa70bb32a367a5ad59f2a46"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a282cfed1bcba2ae23f242913489195af"><td class="memItemLeft" align="right" valign="top">static constexpr <a class="el" href="classCatch_1_1SimplePcg32.html#a220ca38f6d16804c6e99937a673ec3ff">result_type</a>()&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1SimplePcg32.html#a282cfed1bcba2ae23f242913489195af">max</a> ()</td></tr>
<tr class="separator:a282cfed1bcba2ae23f242913489195af"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-types"></a>
Private Types</h2></td></tr>
<tr class="memitem:a87e58661dd1fa2994b6b9c38c4efafdb"><td class="memItemLeft" align="right" valign="top">using&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1SimplePcg32.html#a87e58661dd1fa2994b6b9c38c4efafdb">state_type</a> = std::uint64_t</td></tr>
<tr class="separator:a87e58661dd1fa2994b6b9c38c4efafdb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a87e58661dd1fa2994b6b9c38c4efafdb"><td class="memItemLeft" align="right" valign="top">using&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1SimplePcg32.html#a87e58661dd1fa2994b6b9c38c4efafdb">state_type</a> = std::uint64_t</td></tr>
<tr class="separator:a87e58661dd1fa2994b6b9c38c4efafdb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a830bb20e51776b605910f4a00dde46ad"><td class="memItemLeft" align="right" valign="top">std::uint64_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1SimplePcg32.html#a830bb20e51776b605910f4a00dde46ad">m_state</a></td></tr>
<tr class="separator:a830bb20e51776b605910f4a00dde46ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-static-attribs"></a>
Static Private Attributes</h2></td></tr>
<tr class="memitem:a459663ea1512aac210d11fc77b53b2aa"><td class="memItemLeft" align="right" valign="top">static const std::uint64_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1SimplePcg32.html#a459663ea1512aac210d11fc77b53b2aa">s_inc</a> = (0x13ed0cc53f939476ULL &lt;&lt; 1ULL) | 1ULL</td></tr>
<tr class="separator:a459663ea1512aac210d11fc77b53b2aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="friends"></a>
Friends</h2></td></tr>
<tr class="memitem:a3f1e143181b91f902ce034e2878f87eb"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1SimplePcg32.html#a3f1e143181b91f902ce034e2878f87eb">operator==</a> (<a class="el" href="classCatch_1_1SimplePcg32.html">SimplePcg32</a> const &amp;lhs, <a class="el" href="classCatch_1_1SimplePcg32.html">SimplePcg32</a> const &amp;rhs)</td></tr>
<tr class="separator:a3f1e143181b91f902ce034e2878f87eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4940863fe85f6c5a2fa9b3910bfb7406"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1SimplePcg32.html#a4940863fe85f6c5a2fa9b3910bfb7406">operator!=</a> (<a class="el" href="classCatch_1_1SimplePcg32.html">SimplePcg32</a> const &amp;lhs, <a class="el" href="classCatch_1_1SimplePcg32.html">SimplePcg32</a> const &amp;rhs)</td></tr>
<tr class="separator:a4940863fe85f6c5a2fa9b3910bfb7406"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3f1e143181b91f902ce034e2878f87eb"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1SimplePcg32.html#a3f1e143181b91f902ce034e2878f87eb">operator==</a> (<a class="el" href="classCatch_1_1SimplePcg32.html">SimplePcg32</a> const &amp;lhs, <a class="el" href="classCatch_1_1SimplePcg32.html">SimplePcg32</a> const &amp;rhs)</td></tr>
<tr class="separator:a3f1e143181b91f902ce034e2878f87eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4940863fe85f6c5a2fa9b3910bfb7406"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1SimplePcg32.html#a4940863fe85f6c5a2fa9b3910bfb7406">operator!=</a> (<a class="el" href="classCatch_1_1SimplePcg32.html">SimplePcg32</a> const &amp;lhs, <a class="el" href="classCatch_1_1SimplePcg32.html">SimplePcg32</a> const &amp;rhs)</td></tr>
<tr class="separator:a4940863fe85f6c5a2fa9b3910bfb7406"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Typedef Documentation</h2>
<a id="a220ca38f6d16804c6e99937a673ec3ff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a220ca38f6d16804c6e99937a673ec3ff">&#9670;&nbsp;</a></span>result_type <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">using <a class="el" href="classCatch_1_1SimplePcg32.html#a220ca38f6d16804c6e99937a673ec3ff">Catch::SimplePcg32::result_type</a> =  std::uint32_t</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a220ca38f6d16804c6e99937a673ec3ff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a220ca38f6d16804c6e99937a673ec3ff">&#9670;&nbsp;</a></span>result_type <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">using <a class="el" href="classCatch_1_1SimplePcg32.html#a220ca38f6d16804c6e99937a673ec3ff">Catch::SimplePcg32::result_type</a> =  std::uint32_t</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a87e58661dd1fa2994b6b9c38c4efafdb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a87e58661dd1fa2994b6b9c38c4efafdb">&#9670;&nbsp;</a></span>state_type <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">using <a class="el" href="classCatch_1_1SimplePcg32.html#a87e58661dd1fa2994b6b9c38c4efafdb">Catch::SimplePcg32::state_type</a> =  std::uint64_t</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a87e58661dd1fa2994b6b9c38c4efafdb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a87e58661dd1fa2994b6b9c38c4efafdb">&#9670;&nbsp;</a></span>state_type <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">using <a class="el" href="classCatch_1_1SimplePcg32.html#a87e58661dd1fa2994b6b9c38c4efafdb">Catch::SimplePcg32::state_type</a> =  std::uint64_t</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a045c99a96f9b0faf384e22f871576282"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a045c99a96f9b0faf384e22f871576282">&#9670;&nbsp;</a></span>SimplePcg32() <span class="overload">[1/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Catch::SimplePcg32::SimplePcg32 </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a901fc48d250c3d92b1ec067bcc6155c1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a901fc48d250c3d92b1ec067bcc6155c1">&#9670;&nbsp;</a></span>SimplePcg32() <span class="overload">[2/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Catch::SimplePcg32::SimplePcg32 </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCatch_1_1SimplePcg32.html#a220ca38f6d16804c6e99937a673ec3ff">result_type</a>&#160;</td>
          <td class="paramname"><em>seed_</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">explicit</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a045c99a96f9b0faf384e22f871576282"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a045c99a96f9b0faf384e22f871576282">&#9670;&nbsp;</a></span>SimplePcg32() <span class="overload">[3/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Catch::SimplePcg32::SimplePcg32 </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a901fc48d250c3d92b1ec067bcc6155c1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a901fc48d250c3d92b1ec067bcc6155c1">&#9670;&nbsp;</a></span>SimplePcg32() <span class="overload">[4/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Catch::SimplePcg32::SimplePcg32 </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCatch_1_1SimplePcg32.html#a220ca38f6d16804c6e99937a673ec3ff">result_type</a>&#160;</td>
          <td class="paramname"><em>seed_</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">explicit</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a877e7a9c14d378af729ad19a0e959178"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a877e7a9c14d378af729ad19a0e959178">&#9670;&nbsp;</a></span>discard() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Catch::SimplePcg32::discard </td>
          <td>(</td>
          <td class="paramtype">uint64_t&#160;</td>
          <td class="paramname"><em>skip</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a877e7a9c14d378af729ad19a0e959178"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a877e7a9c14d378af729ad19a0e959178">&#9670;&nbsp;</a></span>discard() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Catch::SimplePcg32::discard </td>
          <td>(</td>
          <td class="paramtype">uint64_t&#160;</td>
          <td class="paramname"><em>skip</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a282cfed1bcba2ae23f242913489195af"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a282cfed1bcba2ae23f242913489195af">&#9670;&nbsp;</a></span>max() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static constexpr <a class="el" href="classCatch_1_1SimplePcg32.html#a220ca38f6d16804c6e99937a673ec3ff">result_type</a>() Catch::SimplePcg32::max </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">constexpr</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a282cfed1bcba2ae23f242913489195af"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a282cfed1bcba2ae23f242913489195af">&#9670;&nbsp;</a></span>max() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static constexpr <a class="el" href="classCatch_1_1SimplePcg32.html#a220ca38f6d16804c6e99937a673ec3ff">result_type</a>() Catch::SimplePcg32::max </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">constexpr</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a388575137fa70bb32a367a5ad59f2a46"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a388575137fa70bb32a367a5ad59f2a46">&#9670;&nbsp;</a></span>min() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static constexpr <a class="el" href="classCatch_1_1SimplePcg32.html#a220ca38f6d16804c6e99937a673ec3ff">result_type</a>() Catch::SimplePcg32::min </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">constexpr</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a388575137fa70bb32a367a5ad59f2a46"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a388575137fa70bb32a367a5ad59f2a46">&#9670;&nbsp;</a></span>min() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static constexpr <a class="el" href="classCatch_1_1SimplePcg32.html#a220ca38f6d16804c6e99937a673ec3ff">result_type</a>() Catch::SimplePcg32::min </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">constexpr</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="acda21743a5ac46fdff9a0b4a6d45a91f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acda21743a5ac46fdff9a0b4a6d45a91f">&#9670;&nbsp;</a></span>operator()() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classCatch_1_1SimplePcg32.html#a220ca38f6d16804c6e99937a673ec3ff">result_type</a> Catch::SimplePcg32::operator() </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="acda21743a5ac46fdff9a0b4a6d45a91f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acda21743a5ac46fdff9a0b4a6d45a91f">&#9670;&nbsp;</a></span>operator()() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classCatch_1_1SimplePcg32.html#a220ca38f6d16804c6e99937a673ec3ff">result_type</a> Catch::SimplePcg32::operator() </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a215dac93c384973353a2b4f87f68c8bc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a215dac93c384973353a2b4f87f68c8bc">&#9670;&nbsp;</a></span>seed() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Catch::SimplePcg32::seed </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCatch_1_1SimplePcg32.html#a220ca38f6d16804c6e99937a673ec3ff">result_type</a>&#160;</td>
          <td class="paramname"><em>seed_</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a215dac93c384973353a2b4f87f68c8bc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a215dac93c384973353a2b4f87f68c8bc">&#9670;&nbsp;</a></span>seed() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Catch::SimplePcg32::seed </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCatch_1_1SimplePcg32.html#a220ca38f6d16804c6e99937a673ec3ff">result_type</a>&#160;</td>
          <td class="paramname"><em>seed_</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Friends And Related Function Documentation</h2>
<a id="a4940863fe85f6c5a2fa9b3910bfb7406"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4940863fe85f6c5a2fa9b3910bfb7406">&#9670;&nbsp;</a></span>operator!= <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool operator!= </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCatch_1_1SimplePcg32.html">SimplePcg32</a> const &amp;&#160;</td>
          <td class="paramname"><em>lhs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classCatch_1_1SimplePcg32.html">SimplePcg32</a> const &amp;&#160;</td>
          <td class="paramname"><em>rhs</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">friend</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a4940863fe85f6c5a2fa9b3910bfb7406"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4940863fe85f6c5a2fa9b3910bfb7406">&#9670;&nbsp;</a></span>operator!= <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool operator!= </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCatch_1_1SimplePcg32.html">SimplePcg32</a> const &amp;&#160;</td>
          <td class="paramname"><em>lhs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classCatch_1_1SimplePcg32.html">SimplePcg32</a> const &amp;&#160;</td>
          <td class="paramname"><em>rhs</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">friend</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a3f1e143181b91f902ce034e2878f87eb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3f1e143181b91f902ce034e2878f87eb">&#9670;&nbsp;</a></span>operator== <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool operator== </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCatch_1_1SimplePcg32.html">SimplePcg32</a> const &amp;&#160;</td>
          <td class="paramname"><em>lhs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classCatch_1_1SimplePcg32.html">SimplePcg32</a> const &amp;&#160;</td>
          <td class="paramname"><em>rhs</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">friend</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a3f1e143181b91f902ce034e2878f87eb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3f1e143181b91f902ce034e2878f87eb">&#9670;&nbsp;</a></span>operator== <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool operator== </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCatch_1_1SimplePcg32.html">SimplePcg32</a> const &amp;&#160;</td>
          <td class="paramname"><em>lhs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classCatch_1_1SimplePcg32.html">SimplePcg32</a> const &amp;&#160;</td>
          <td class="paramname"><em>rhs</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">friend</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a830bb20e51776b605910f4a00dde46ad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a830bb20e51776b605910f4a00dde46ad">&#9670;&nbsp;</a></span>m_state</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::uint64_t Catch::SimplePcg32::m_state</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a459663ea1512aac210d11fc77b53b2aa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a459663ea1512aac210d11fc77b53b2aa">&#9670;&nbsp;</a></span>s_inc</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static const std::uint64_t Catch::SimplePcg32::s_inc = (0x13ed0cc53f939476ULL &lt;&lt; 1ULL) | 1ULL</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>backend/src/lib/game/<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
